Package org.apache.sysds.runtime.functionobjects

## Class ParameterizedBuiltin

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.ParameterizedBuiltin

All Implemented Interfaces:
  `Serializable`

    public class ParameterizedBuiltin
    extends ValueFunction

Function object for builtin function that takes a list of name=value parameters. This class can not be instantiated elsewhere.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ParameterizedBuiltin.ParameterizedBuiltinCode`
`static class` `ParameterizedBuiltin.ProbabilityDistributionCode`

### Field Summary

Fields
`ParameterizedBuiltin.ParameterizedBuiltinCode` `bFunc`
`ParameterizedBuiltin.ProbabilityDistributionCode` `distFunc`
`static HashMap<String,​ParameterizedBuiltin.ProbabilityDistributionCode>` `String2DistCode`
`static HashMap<String,​ParameterizedBuiltin.ParameterizedBuiltinCode>` `String2ParameterizedBuiltinCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`double` `execute​(HashMap<String,​String> params)`
`static ParameterizedBuiltin` `getParameterizedBuiltinFnObject​(String str)`
`static ParameterizedBuiltin` `getParameterizedBuiltinFnObject​(String str, String str2)`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`isBinary, requiresCorrection, toString`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### bFunc

    public ParameterizedBuiltin.ParameterizedBuiltinCode bFunc

#### distFunc

    public ParameterizedBuiltin.ProbabilityDistributionCode distFunc

#### String2ParameterizedBuiltinCode

    public static HashMap<String,​ParameterizedBuiltin.ParameterizedBuiltinCode> String2ParameterizedBuiltinCode

#### String2DistCode

    public static HashMap<String,​ParameterizedBuiltin.ProbabilityDistributionCode> String2DistCode

### Method Detail

#### getParameterizedBuiltinFnObject

    public static ParameterizedBuiltin getParameterizedBuiltinFnObject​(String str)

#### getParameterizedBuiltinFnObject

    public static ParameterizedBuiltin getParameterizedBuiltinFnObject​(String str,
                                                                       String str2)

#### execute

    public double execute​(HashMap<String,​String> params)

Overrides:
  `execute` in class `FunctionObject`